summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/optimizations/single_anon_set
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/optimizations/single_anon_set')
-rwxr-xr-xtests/shell/testcases/optimizations/single_anon_set13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/shell/testcases/optimizations/single_anon_set b/tests/shell/testcases/optimizations/single_anon_set
new file mode 100755
index 00000000..7275e360
--- /dev/null
+++ b/tests/shell/testcases/optimizations/single_anon_set
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Input file contains rules with anon sets that contain
+# one element, plus extra rule with two elements (that should be
+# left alone).
+
+# Dump file has the simplified rules where anon sets have been
+# replaced by equality tests where possible.
+dumpfile=$(dirname $0)/dumps/$(basename $0).nft
+
+$NFT -f "$dumpfile".input